POST /v1/dms/documents/{id}/versions
POST/v1/dms/documents/{id}/versions
Upload a new version of a DMS document
Request Body
| Name | Typ | Beschreibung |
|---|
fileNameerforderlich | string | |
mimeTypeerforderlich | string | |
sizeByteserforderlich | integer | |
changeNote | string | |
Pfad-Parameter
| Name | Typ | Beschreibung |
|---|
iderforderlich | string | |
Beispiel
curl -X POST https://api.codemeta-os.de/v1/dms/documents/{id}/versions \
-H "X-Tenant-Id: $TENANT" \
-H "Content-Type: application/json" \
-b cookies.txt \
-d '{
"fileName": "string",
"mimeType": "string",
"sizeBytes": 0,
"changeNote": "string"
}'
const result = await cm.dms.post({
"fileName": "string",
"mimeType": "string",
"sizeBytes": 0,
"changeNote": "string"
});
Antwortcodes
| HTTP |
Bedeutung |
200 |
Default Response |